Subject: Re: Sinister: questions, questions
From: [email-masked]
To: [email-masked]
Date: Fri, 20 Feb 1998 11:32:09 EST

In a message dated 98-02-20 07:16:17 EST, Ron Barrett wrote:

<< Can anyone tell me what sort of stuff Snow Patrol play?  They were in
Dublin 
 the other week I think but I didn't know about it til it was over. >>

Snow Patrol is the new name for PolarBear who had an ep "starfighter pilot"
out on the same label that "tigermilk" was on(i forget the name). I like their
stuff-the title track is a good bit of noise.

clem lane
[email-masked]